/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'id',
        dataType: 'TEXT',
      },
      {
        name: 'srfmajortext',
        prop: 'name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'syncid',
        prop: 'id',
        dataType: 'TEXT',
      },
      {
        name: 'syncname',
        prop: 'name',
        dataType: 'TEXT',
      },
      {
        name: 'syncgroup',
        prop: 'group',
        dataType: 'TEXT',
      },
      {
        name: 'srcdsid',
        prop: 'source_ds_id',
        dataType: 'TEXT',
      },
      {
        name: 'srcsystemid',
        prop: 'source_system_id',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'srcentityid',
        prop: 'source_entity_id',
        dataType: 'PICKUP',
      },
      {
        name: 'srcentityname',
        prop: 'source_entity_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'srcexp',
        prop: 'source_expression',
        dataType: 'LONGTEXT',
      },
      {
        name: 'dsid',
        prop: 'ds_id',
        dataType: 'TEXT',
      },
      {
        name: 'systemid',
        prop: 'system_id',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'entityid',
        prop: 'entity_id',
        dataType: 'PICKUP',
      },
      {
        name: 'entityname',
        prop: 'entity_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'mappingcfg',
        prop: 'mapping_config',
        dataType: 'LONGTEXT',
      },
      {
        name: 'runorder',
        prop: 'run_order',
        dataType: 'INT',
      },
      {
        name: 'runcron',
        prop: 'run_cron',
        dataType: 'TEXT',
      },
      {
        name: 'etltimestamp',
        prop: 'etl_timestamp',
        dataType: 'DATETIME',
      },
      {
        name: 'lastrunresult',
        prop: 'last_run_result',
        dataType: 'TEXT',
      },
      {
        name: 'lastruntime',
        prop: 'last_run_time',
        dataType: 'DATETIME',
      },
      {
        name: 'lastendtime',
        prop: 'last_end_time',
        dataType: 'DATETIME',
      },
      {
        name: 'lastread',
        prop: 'last_read',
        dataType: 'BIGINT',
      },
      {
        name: 'lastwrite',
        prop: 'last_write',
        dataType: 'BIGINT',
      },
      {
        name: 'isenable',
        prop: 'is_enable',
        dataType: 'YESNO',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'tablesync',
        prop: 'id',
        dataType: 'FONTKEY',
      },
    ]
  }

}